﻿using System;
using System.Collections.Generic;
using System.Text;

using NUnit.Framework;

using SingularSys.Jep.Parser;
using SingularSys.Jep.Functions;
using SingularSys.Jep.Standard;
using SingularSys.Jep.Types;

namespace SingularSys.Jep.JepTests.Parser
{
    [TestFixture]
    public class ASTOpNodeTest
    {
        [Test]
        public void TestGetOperator()
        {
            ASTOpNode op = new ASTOpNode(1);
            op.Op = new Operator("+", new Add(), Operator.BINARY + Operator.ASSOCIATIVE);
            Assert.IsNotNull(op.GetOperator());
            Assert.IsInstanceOfType(typeof(Operator), op.GetOperator());
        }
    }
}
